Referencia
Notificaciones push
Envío de notificaciones al wallet de tus clientes.
GET
/api/v2/pushesAuthorization
ApiKeyAuth X-API-Key<token>
In: header
Query Parameters
templateId?integer
Filter by templateId
cardId?string
Filter by cardId
startDate?string
Start date (format Y-m-d)
Format
dateDefault
nullendDate?string
End date (format Y-m-d)
Format
dateDefault
nullpage?integer
Page number
Range
1 <= valueDefault
1itemsPerPage?integer
Items per page
Range
1 <= value <= 1000Default
30Response Body
application/json
curl -X GET "https://example.com/api/v2/pushes?templateId=123&cardId=430556-818-972"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "meta": { "totalItems": 0, "itemsPerPage": 0, "currentPage": 0 }, "data": [ { "id": "string", "templateId": 0, "cardId": "string", "message": "string", "status": "string", "type": "string", "sentAmount": 0, "deliveredAmount": 0, "createdAt": "2019-08-24T14:15:22Z", "scheduledAt": "2019-08-24T14:15:22Z" } ]}POST
/api/v2/pushesAuthorization
ApiKeyAuth X-API-Key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v2/pushes" \ -H "Content-Type: application/json" \ -d '{ "message": "", "templateId": 0 }'{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": "string", "templateId": 0, "cardId": "string", "message": "string", "status": "string", "type": "string", "sentAmount": 0, "deliveredAmount": 0, "createdAt": "2019-08-24T14:15:22Z", "scheduledAt": "2019-08-24T14:15:22Z" }}GET
/api/v2/pushes/{id}Authorization
ApiKeyAuth X-API-Key<token>
In: header
Path Parameters
id*string
Response Body
application/json
curl -X GET "https://example.com/api/v2/pushes/string"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": "string", "templateId": 0, "cardId": "string", "message": "string", "status": "string", "type": "string", "sentAmount": 0, "deliveredAmount": 0, "createdAt": "2019-08-24T14:15:22Z", "scheduledAt": "2019-08-24T14:15:22Z" }}